using RTCommunicatorBase;
using TLVProtocal;
using UniversalNetFrame451.IO;

namespace AlarmInfoServerSim.Services;

public interface IInfoSendingService
{
    void Open();
    void Send(byte tag, ST_ALARM alarm);

    event EventHandler<(bool, TcpConnection)>? ConnectionChanged;
    event EventHandler<(ushort, TlvData)>? DataReceived;
}
